package cn.im.che.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("clgpssjDao")
public class ClgpssjDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	
	/**
	 * 查询总数
	 */
	public Integer count_Clgpssj(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Clgpssj",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Clgpssj(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Clgpssj",map);
	}
	
}
